Skip to content

Events

/inpa.cgi?event

Add an event entry.

GET /inpa.cgi?event=A*B*C*D*E*F*G*H*I*J*K*L*M*N*O*P
  • A is the item to be set, integer 0-19
  • B, H are inputs (sources) for conditions

    integer 0-53, 100-118, 123-126

    {
        "0": "VCC",
        "1": "INPA1",
        "2": "INPA2",
        "3": "INPA3",
        "4": "INPA4",
        "5": "INPA5",
        "6": "INPA6",
        "7": "TEMP",
        "8": "T1",
        "9": "H1",
        "18": "P1",
        "10": "DS1",
        "11": "DS2",
        "12": "DS3",
        "13": "DS4",
        "14": "DS5",
        "15": "DS6",
        "22": "DS7",
        "23": "DS8",
        "16": "DIFF1",
        "17": "DIFF2",
        "26": "DIFF3",
        "47": "DIFF4", // added in HW 3.5+ SW 1.49d
        "48": "DIFF5", // added in HW 3.5+ SW 1.49d
        "49": "DIFF6", // added in HW 3.5+ SW 1.49d
        "31": "distance sensor", // added in HW 3.5+ SW 1.21
        "19": "CO2/GMQ125", // changed in HW 3.5+ SW 1.49d (reading from the GMQ125 sensor)
        "24": "PM1.0",
        "20": "PM2.5",
        "25": "PM4.0",
        "21": "PM10.0",
        "27": "POWER1", // added in HW 3.5+ SW 1.19
        "28": "POWER2", // added in HW 3.5+ SW 1.19
        "29": "POWER3", // added in HW 3.5+ SW 1.19
        "30": "POWER4", // added in HW 3.5+ SW 1.19
        "50": "POWER5", // added in HW 3.5+ SW 1.49d
        "51": "POWER6", // added in HW 3.5+ SW 1.49d
        "32": "ENERGY1", // added in HW 3.5+ SW 1.40
        "33": "ENERGY2", // added in HW 3.5+ SW 1.40
        "34": "ENERGY3", // added in HW 3.5+ SW 1.40
        "35": "ENERGY4", // added in HW 3.5+ SW 1.40
        "52": "ENERGY5", // added in HW 3.5+ SW 1.49d
        "53": "ENERGY6", // added in HW 3.5+ SW 1.49d
        "36": "m1", // added in HW 3.5+ SW 1.40
        "37": "m2", // added in HW 3.5+ SW 1.40
        "38": "m3", // added in HW 3.5+ SW 1.40
        "39": "m4", // added in HW 3.5+ SW 1.40
        "40": "m5", // added in HW 3.5+ SW 1.40
        "41": "m6", // added in HW 3.5+ SW 1.40
        "42": "m7", // added in HW 3.5+ SW 1.40
        "43": "m8", // added in HW 3.5+ SW 1.40
        "44": "m9", // added in HW 3.5+ SW 1.40
        "45": "m10", // added in HW 3.5+ SW 1.40
        "46": "Dew Point", // added in HW 3.5+ SW 1.45b
        "100": "INPD1",
        "101": "INPD2",
        "102": "INPD3",
        "103": "INPD4",
        "112": "OUT0",
        "113": "OUT1",
        "114": "OUT2",
        "115": "OUT3",
        "116": "OUT4",
        "117": "OUT5",
        "104": "EVENT1",
        "105": "EVENT2",
        "106": "EVENT3",
        "107": "EVENT4",
        "108": "EVENT5",
        "109": "EVENT6",
        "110": "EVENT7",
        "111": "EVENT8",
        "118": "MQTT CONNECTION", // added in HW 3.5+ SW 1.19
        "123": "PWM0", // added in HW 3.5+ SW 1.43e
        "124": "PWM1", // added in HW 3.5+ SW 1.43e
        "125": "PWM2", // added in HW 3.5+ SW 1.43e
        "126": "PWM3", // added in HW 3.5+ SW 1.43e
    }
    

    integer 0-46, 50-68, 73-76

    {
        "0": "VCC",
        "1": "INPA1",
        "2": "INPA2",
        "3": "INPA3",
        "4": "INPA4",
        "5": "INPA5",
        "6": "INPA6",
        "7": "TEMP",
        "8": "T1",
        "9": "H1",
        "10": "DS1",
        "11": "DS2",
        "12": "DS3",
        "13": "DS4",
        "14": "DS5",
        "15": "DS6",
        "16": "DIFF1",
        "17": "DIFF2",
        "18": "P1",
        "19": "CO2",
        "20": "PM2.5",
        "21": "PM10.0",
        "22": "DS7",
        "23": "DS8",
        "24": "PM1.0",
        "25": "PM4.0",
        "26": "DIFF3",
        "27": "POWER1", // added in HW 3.5+ SW 1.19
        "28": "POWER2", // added in HW 3.5+ SW 1.19
        "29": "POWER3", // added in HW 3.5+ SW 1.19
        "30": "POWER4", // added in HW 3.5+ SW 1.19
        "31": "distance sensor", // added in HW 3.5+ SW 1.21
        "32": "ENERGY1", // added in HW 3.5+ SW 1.40
        "33": "ENERGY2", // added in HW 3.5+ SW 1.40
        "34": "ENERGY3", // added in HW 3.5+ SW 1.40
        "35": "ENERGY4", // added in HW 3.5+ SW 1.40
        "36": "m1", // added in HW 3.5+ SW 1.40
        "37": "m2", // added in HW 3.5+ SW 1.40
        "38": "m3", // added in HW 3.5+ SW 1.40
        "39": "m4", // added in HW 3.5+ SW 1.40
        "40": "m5", // added in HW 3.5+ SW 1.40
        "41": "m6", // added in HW 3.5+ SW 1.40
        "42": "m7", // added in HW 3.5+ SW 1.40
        "43": "m8", // added in HW 3.5+ SW 1.40
        "44": "m9", // added in HW 3.5+ SW 1.40
        "45": "m10", // added in HW 3.5+ SW 1.40
        "46": "Dew Point", // added in HW 3.5+ SW 1.45b
        "50": "INPD1",
        "51": "INPD2",
        "52": "INPD3",
        "53": "INPD4",
        "54": "EVENT1",
        "55": "EVENT2",
        "56": "EVENT3",
        "57": "EVENT4",
        "58": "OUT0",
        "59": "OUT1",
        "60": "OUT2",
        "61": "OUT3",
        "62": "OUT4",
        "63": "OUT5",
        "64": "EVENT5",
        "65": "EVENT6",
        "66": "EVENT7",
        "67": "EVENT8",
        "68": "MQTT CONNECTION", // added in HW 3.5+ SW 1.19
        "73": "PWM0", // added in HW 3.5+ SW 1.43e
        "74": "PWM1", // added in HW 3.5+ SW 1.43e
        "75": "PWM2", // added in HW 3.5+ SW 1.43e
        "76": "PWM3", // added in HW 3.5+ SW 1.43e
    }
    
  • C, I are values for Operator in conditions, 0|1|= (0 - >=, 1 - <)

  • D, J are reference values for conditions, integer (0-1 for digital source, value multiplied by 100 for analog source)
  • E, K are hysteresis for conditions, integer (value multiplied by 100)
  • F is operator between conditions, integer 0-5

    {
        "0": "-",
        "1": "AND",
        "2": "OR",
        "3": "NAND",
        "4": "NOR",
        "5": "XOR",
    }
    
  • G is action to take

    integer 0-47

    {
        "0": "OUT0",
        "1": "OUT1",
        "2": "OUT2",
        "3": "OUT3",
        "4": "OUT4",
        "5": "OUT5",
        "6": "PWM0",
        "7": "PWM1",
        "8": "PWM2",
        "9": "PWM3",
        "10": "EVENT1",
        "11": "EVENT2",
        "12": "EVENT3",
        "13": "EVENT4",
        "14": "EVENT5",
        "15": "EVENT6",
        "16": "EVENT7",
        "17": "EVENT8",
        "18": "AutoSwitch OUT0",
        "19": "AutoSwitch OUT1",
        "20": "AutoSwitch OUT2",
        "21": "AutoSwitch OUT3",
        "22": "AutoSwitch OUT4",
        "23": "AutoSwitch OUT5",
        "24": "HTTP1",
        "25": "HTTP2",
        "26": "HTTP3",
        "27": "HTTP4",
        "28": "eMail 1",
        "29": "eMail 2",
        "30": "eMail 3",
        "31": "eMail 4",
        "32": "SMS1",
        "33": "SMS2",
        "34": "SMS3",
        "35": "SMS4",
        "36": "RESET ENERGY1",
        "37": "RESET ENERGY2",
        "38": "RESET ENERGY3",
        "39": "RESET ENERGY4",
        "48": "RESET ENERGY5", // added in HW 3.5+ SW 1.49d
        "49": "RESET ENERGY6", // added in HW 3.5+ SW 1.49d
        "40": "SNMP trap",
        "41": "MQTT",
        "42": "OLED ON/NEXT SCREEN",
        "43": "OLED - SET SCREEN 1", // added in HW 3.5+ SW 1.49d
        "44": "OLED - SET SCREEN 2", // added in HW 3.5+ SW 1.49d
        "45": "OLED - SET SCREEN 3", // added in HW 3.5+ SW 1.49d
        "46": "OLED - SET SCREEN 4", // added in HW 3.5+ SW 1.49d
        "47": "ENABLE PID", // added in HW 3.5+ SW 1.49d
    }
    

    integer 0-23, 25-61

    {
        "0": "OUT0=0",
        "1": "OUT0=1",
        "2": "OUT1=0",
        "3": "OUT1=1",
        "4": "OUT2=0",
        "5": "OUT2=1",
        "6": "OUT3=0",
        "7": "OUT3=1",
        "8": "OUT4=0",
        "9": "OUT4=1",
        "10": "OUT5=0",
        "11": "OUT5=1",
        "12": "PWM0=0",
        "13": "PWM0=1",
        "14": "PWM1=0",
        "15": "PWM1=1",
        "16": "PWM2=0",
        "17": "PWM2=1",
        "18": "PWM3=0",
        "19": "PWM3=1",
        "20": "http1",
        "21": "http2",
        "22": "http3",
        "23": "http4",
        "24": "N/A",
        "25": "SNMP trap",
        "26": "SMS1",
        "27": "SMS2",
        "28": "SMS3",
        "29": "SMS4",
        "30": "EVENT5=0",
        "31": "EVENT5=1",
        "32": "EVENT6=0",
        "33": "EVENT6=1",
        "34": "EVENT7=0",
        "35": "EVENT7=1",
        "36": "EVENT8=0",
        "37": "EVENT8=1",
        "38": "AutoSwitch_OUT0",
        "39": "AutoSwitch_OUT1",
        "40": "AutoSwitch_OUT2",
        "41": "AutoSwitch_OUT3",
        "42": "AutoSwitch_OUT4",
        "43": "AutoSwitch_OUT5",
        "44": "MQTT",
        "45": "eMail 1",
        "46": "eMail 2",
        "47": "eMail 3",
        "48": "eMail 4",
        "49": "EVENT1=0",
        "50": "EVENT1=1",
        "51": "EVENT2=0",
        "52": "EVENT2=1",
        "53": "EVENT3=0",
        "54": "EVENT3=1",
        "55": "EVENT4=0",
        "56": "EVENT4=1",
        "57": "RESET ENERGY1", // added in HW 3.5+ SW 1.40
        "58": "RESET ENERGY2", // added in HW 3.5+ SW 1.40
        "59": "RESET ENERGY3", // added in HW 3.5+ SW 1.40
        "60": "RESET ENERGY4", // added in HW 3.5+ SW 1.40
        "61": "OLED ON/NEXT SCREEN", // added in HW 3.5+ SW 1.44
    }
    
  • L is the off delay, i.e. the time in seconds by which the deactivation of the action will be delayed after the condition is no longer met. Integer.

    Changed in HW 3.5+ SW 1.64 | HW 3.9 SW 1.64

    It can be used for any action. Previously only for OUT, PWM, EVENT actions.

  • M is the value for actions of the type OUT, PWM, EVENT (for the others it has no effect). An integer 0-2.

    {
        "0": "0",
        "1": "1",
        "2": "Reverse",
    }
    

    Added in HW 3.5+ SW 1.45

  • N is the on delay, i.e. the time in seconds by which the activation of the action will be delayed after the condition is met. Integer.

    Added in HW 3.5+ SW 1.57

    Changed in HW 3.5+ SW 1.64 | HW 3.9 SW 1.64

    It can be used for any action. Previously only for OUT, PWM, EVENT actions.

  • O is dependence on the result of the conditions of another event. Integer 0-40 (0 - inactive, 1-20 - conditions not met, respectively for EV 1 - EV 20, 21-40 - conditions are met, respectively for EV 1 - EV 20).

    Added in HW 3.5+ SW 1.57

  • P Mode option for Action in Events. It allows you to specify when the event action will be performed - when the condition begins to be met, when it stops being met, or both (default behavior, compatible with previous versions of the software). An integer 0-2.

    {
        "0": "Action when the condition starts or stops to be met",
        "1": "Action only when the condition starts to be met",
        "2": "Action only when the condition stops to be met",
    }
    

    Added in HW 3.5+ SW 1.60a

Example:

http://192.168.1.100/inpa.cgi?event=4*0*0*1000*100*0*0*0*0*1000*100*0*0*0*0*0

/inpa.cgi?eventper

Make event entry permanent (execution).

GET /inpa.cgi?eventper=A*B
  • A is index of entry, integer 0-19
  • B determines whether the function is enabled, integer 0-1

Example:

http://192.168.1.100/inpa.cgi?eventper=0*1

/inpa.cgi?eventon

Enable the event entry.

GET /inpa.cgi?eventon=A*B
  • A is index of entry, integer 0-19
  • B determines whether the function is enabled, integer 0-1

Example:

http://192.168.1.100/inpa.cgi?eventon=0*1

/inpa.cgi?eventdel

Delete event entry.

GET /inpa.cgi?eventdel=A
  • A is index of entry, integer 0-19

Important

Deleting an item will move all subsequent items. For example, when you delete an item in position 4, the item in position 5 will be moved to position 4, 6 to 5, etc.

Example:

http://192.168.1.100/inpa.cgi?eventdel=0